Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Class PageRenderRequestParameters

    java.lang.Object
      org.apache.tapestry5.services.PageRenderRequestParameters

    public class PageRenderRequestParameters

extends java.lang.Object

Used with `PageRenderRequestHandler` and `PageRenderRequestFilter` to define the logical page name and activation context for the request.

Constructor Summary
`PageRenderRequestParameters(java.lang.String logicalPageName, EventContext activationContext)` Deprecated. Use `PageRenderRequestParameters(String, EventContext, boolean)`.
`PageRenderRequestParameters(java.lang.String logicalPageName, EventContext activationContext, boolean loopback)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`EventContext` | `getActivationContext()`
`java.lang.String` | `getLogicalPageName()` Returns a canonicalized version of the page name.
`boolean` | `isLoopback()` Is this request a loopback (a request for the same page that rendered it in the first place)?
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageRenderRequestParameters

    public PageRenderRequestParameters(java.lang.String logicalPageName,
                                       EventContext activationContext)

  Deprecated. Use `PageRenderRequestParameters(String, EventContext, boolean)`.

### PageRenderRequestParameters

    public PageRenderRequestParameters(java.lang.String logicalPageName,
                                       EventContext activationContext,
                                       boolean loopback)

Since:
  5.2.0

Method Detail

### getLogicalPageName

    public java.lang.String getLogicalPageName()

  Returns a canonicalized version of the page name.

### getActivationContext

    public EventContext getActivationContext()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### isLoopback

    public boolean isLoopback()

  Is this request a loopback (a request for the same page that rendered it in the first place)?

  Since:
    5.2.0
  See Also:
    `TapestryConstants.PAGE_LOOPBACK_PARAMETER_NAME`, `PageResetListener`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.